| Home | Libraries | People | FAQ | More

## Class invalid_option_value

boost::program_options::invalid_option_value

## Synopsis

    // In header: <boost/program_options/errors.hpp>

    class invalid_option_value : public boost::program_options::validation_error {
    public:
      // construct/copy/destruct
      invalid_option_value(const std::string &);
      invalid_option_value(const std::wstring &);
    };

## Description

Class thrown if there is an invalid option value givenn

### `invalid_option_value` public construct/copy/destruct

1.     invalid_option_value(const std::string & value);

2.     invalid_option_value(const std::wstring & value);